> For the complete documentation index, see [llms.txt](https://developer.magtek.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.magtek.com/sdks-and-tools/universal-sdk-documentation/android/classes/classes-n-z.md).

# Classes - N - Z

## NFCData

These constructors initialize an NFCData object. Use NFCDataBuilder.GetNFCData with the data byte array from the NFCData event to return an NFCData.

```java
NFCData NFCDataBuilder.GetNFCData(deviceType, byte[] dataBytes); 
new NFCData(byte[] Data, boolean Encrypted); 
new NFCData(
    byte[] Data, 
    boolean Encrypted,
    byte EncryptionType, 
    byte[] KSN
    );
```

| Member           | Description                                                                           |
| ---------------- | ------------------------------------------------------------------------------------- |
| Data()           | Returns the data payload.                                                             |
| Encrypted()      | Returns the encryption status. false = data is not encrypted true = data is encrypted |
| EncryptionType() | Returns the encryption type.                                                          |
| KSN()            | Returns the Key Serial Number.                                                        |

Return Value:

Returns an instance of NFCData.

## NFCRAPDUData

These constructors initialize an NFCRAPDUData object. Use NFCDataBuilder.GetNFCRAPDUData with data byte array from the NFCRAPDUResponse event to return an NFCRAPDUData.

```java
NFCRAPDUData NFCRAPDU( 
    byte[] response, 
    byte[] data, 
    boolean encrypted, 
    );
    
NFCRAPDUData NFCRAPDU(
    byte[] response, 
    byte[] data, 
    bool encrypted, 
    byte encryptionType, 
    byte[] ksn
    );
    
NFCRAPDUData NFCDataBuilder.GetNFCRAPDUData( 
    DeviceType deviceType,
    byte[] dataBytes,
    );
```

| Parameter      | Description                                                               |
| -------------- | ------------------------------------------------------------------------- |
| response       | Response data.                                                            |
| data           | The data payload.                                                         |
| encrypted      | Encryption status. false = data is not encrypted true = data is encrypted |
| encryptionType | The encryption type.                                                      |
| ksn            | The Key Serial Number.                                                    |
| deviceType     | Device type.                                                              |
| dataBytes      | Data bytes from the NFCAPDUResponse event.                                |

Return Value:

Returns an instance of NFCRAPDUData.

## NFCEventBuilder

This class assist in parsing NFCEvent data.

### Static Members

| Member                     | Return   | Description                                              |
| -------------------------- | -------- | -------------------------------------------------------- |
| GetDetail(string data)     | String   | Returns a string containing NFC detail.                  |
| GetEventValue(string data) | NFCEvent | Returns the NFCEvent enumeration.                        |
| GetString(NFCEvent value)  | String   | Returns a string representation of NFCEvent enumeration. |

### Static Values

| Member                  | Value  | Description               |
| ----------------------- | ------ | ------------------------- |
| NFC\_MIFARE\_ULTRALIGHT | String | "nfc\_mifare\_ultralight" |
| MIFARE\_CLASSIC\_1K     | String | "mifare\_classic\_1k"     |
| MIFARE\_CLASSIC\_4K     | String | "mifare\_classic\_4k"     |
| MIFARE\_DESFIRE\_LIGHT  | String | “mifare\_desfire\_light”  |
| MIFARE\_MINI            | String | "mifare\_mini"            |
| MIFARE\_PLUS\_EV1       | String | "mifare\_plus\_ev1"       |
| MIFARE\_PLUS\_EV2       | String | "mifare\_plus\_ev2"       |
| MIFARE\_PLUS\_SE        | String | "mifare\_plus\_se"        |
| MIFARE\_PLUS\_X         | String | "mifare\_plus\_x"         |
| MIFARE\_DESFIRE\_EV1    | String | "mifare\_desfire\_ev1"    |
| MIFARE\_DESFIRE\_EV2    | String | "mifare\_desfire\_ev2"    |
| MIFARE\_DESFIRE\_EV3    | String | "mifare\_desfire\_ev3"    |
| MDL                     | String | "mdl"                     |
| TAG\_REMOVED            | String | "tag\_removed"            |
| FAILED                  | String | "failed"                  |
| IO\_FAILED              | String | "io\_failed"              |
| AUTHENTICATION\_FAILED  | String | "authentication\_failed"  |

## PersonalInfoEntry

These constructors initialize a PersonalInfoEntry object.

* Call startPersonalInfoEntry().
* At OnEvent():TouchscreenPersonalInfoEntry, build the object.

```java
PersonalInfoEntry PersonalInfoEntryBuilder.GetPersonalInfoEntry( 
DeviceType deviceType, 
byte[] dataBytes);

new PersonalInfoEntry( 
    byte[] data, 
    CaptureType dataType, 
    bool encrypted,
    );

new PersonalInfoEntry( 
    byte[] data, 
    CaptureType dataType, 
    bool encrypted, 
    byte encryptionType, 
    byte[] ksn 
    );
```

| Member           | Description                                                                           |
| ---------------- | ------------------------------------------------------------------------------------- |
| deviceType       | Type of device.                                                                       |
| dataBytes        | Data to pass in after set from OnEvent().                                             |
| data()           | Returns the data payload.                                                             |
| dataType()       | Returns the capture type.                                                             |
| encrypted()      | Returns the encryption status. false = data is not encrypted true = data is encrypted |
| encryptionType() | Returns the encryption type.                                                          |
| ksn()            | Returns the Key Serial Number.                                                        |

Return Value:

Returns an instance of PersonalInfoEntry.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.magtek.com/sdks-and-tools/universal-sdk-documentation/android/classes/classes-n-z.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
